読者です 読者をやめる 読者になる 読者になる

Debianインストールしたら、コンパイルに必要なパッケージをインストールする

Debianにてモジュールとかコンパイルするのに必要なパッケージをインストールすること。

今までPlaggerが動かなかった理由は、これかもしれない。

gccとかlibc-devなどがインストールされていないとPerlモジュールのScalar::UtilがXSバージョンでコンパイルされないので、、ちゃんと動かないとかとか。。。

そんな感じかなぁ〜

参考サイト:[Perl]解決:Scalar::Util::weakenを使おうとするとWeak references are not implementedで落ちる
↑感謝

apt-get install gcc
apt-get install libc-dev